function Sup07200_lancamento_de_pedidos_Service(restEngine) {
    this.empresasPorUnidade = function(currentRow) {
        const dadosPost = {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "CDFILIAL",
                    "value": currentRow.CDFILDEST,
                    "operator": "="
                },
                {
                    "name": "NRORG",
                    "value": getLocalVar("NRORG"),
                    "operator": "="
                }
            ]
        };
        
        return restEngine.post("opl_solicitacao#/crud/sup07200_empresas_por_unidade", dadosPost);
    };
    
    this.empresaClientePrincipal = function(currentRow) {
        const dadosPost = {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "IDCLIENPRIN",
                    "value": "S",
                    "operator": "="
                },
                {
                    "name": "CDFILIAL",
                    "value": currentRow.CDFILDEST,
                    "operator": "="
                },
                {
                    "name": "NRORG",
                    "value": getLocalVar("NRORG"),
                    "operator": "="
                }
            ]
        };
        
        return restEngine.post("opl_solicitacao#/crud/sup07200_empresa_cliente_principal", dadosPost);
    };
    
    this.enviaEmailEmissao = function(row) {
        return restEngine.post("opl_solicitacao#/enviaEmailEmissao", {
            "requestType": "Row",
            "row": row
        });
    };
    
    this.retornaCookieEmail = function() {
        return restEngine.post("opl_solicitacao#/retornaCookieEmail", {
            "requestType": "Row",
            "row": {}
        });
    };
}

Configuration(function (ContextRegister) {
    ContextRegister.register("Sup07200_lancamento_de_pedidos_Service", Sup07200_lancamento_de_pedidos_Service);
});